/**************************************************************/
/* Include name: m4mqr3b.h                                    */
/*                                                            */
/* Description:  Include file for the sample exit used to     */
/*               demonstrate how to embed the Mercator        */
/*               Platform API into a User Exit for the        */
/*               MQSeries MQLink for R/3 (Windows NT) product.*/
/*                                                            */
/*                                                            */
/*                                                            */
/**************************************************************/

typedef struct tagSapIDOCCntl
{
  char    TABNAM[10] ;
  char    MANDT[3] ;
  char    DOCNUM[16] ;
  char    DOCREL[4] ;
  char    STATUS[2] ;
  char    DOCTYP[8] ;
  char    DIRECT[1] ;
  char    RCVPOR[10] ;
  char    RCVPRT[2] ;
  char    RCVPRN[10] ;
  char    RCVSAD[21] ;
  char    RCVLAD[70] ;
  char    STD[1] ;
  char    STDURS[6] ;
  char    STDMES[6] ;
  char    MESCOD[3] ;
  char    MESFCT[3] ;
  char    OUTMOD[1] ;
  char    TEST[1] ;
  char    SNDPOR[10] ;
  char    SNDPRT[2] ;
  char    SNDPRN[10] ;
  char    SNDSAD[21] ;
  char    SNDLAD[70] ;
  char    REFINT[14] ;
  char    REFGRP[14] ;
  char    REFMES[14] ;
  char    ARCKEY[70] ;
  char    CREDAT[8] ;
  char    CRETIM[6] ;
  char    MESTYP[6] ;
  char    IDOCTYP[8] ;
  char    CIMTYP[8] ;
  char    RCVPFC[2] ;
  char    SNDPFC[2] ;
  char    SERIAL[20] ;
  char    EXPRSS[1] ;

} SapIDOCCntl ;
typedef SapIDOCCntl MQPOINTER pSapIDOCCntl ;

#define MMasterDocType "MATMAS"

typedef struct tagSapIDOCData
{
  char    TABNAM[10] ;
  char    MANDT[3] ;
  char    DOCNUM[16] ;
  char    SEGNUM[6] ;
  char    SEGNAM[10] ;
  char    PSGNUM[6] ;
  char    HLEVEL[2] ;
  char    DTINT2[2] ;
  char    SDATA[1000] ;
} SapIDOCData ;
typedef SapIDOCData MQPOINTER pSapIDOCData ;

typedef struct tagSapLinkMsg
{
  MQSAPH  TestHeader ;
  SapIDOCCntl TestSapCntl ;
  SapIDOCData TestSapData ;
} SapLinkMsg ;
typedef SapLinkMsg MQPOINTER pSapLinkMsg ;

typedef struct tagMMaster
{
  MQCHAR4   StrucId ;
  MQLONG    Version ;
  MQLONG    Flags ;
} MMaster ;
typedef MMaster MQPOINTER pMMaster ;
#define MMaster_STRUC_ID "MMAS"
#define MMaster_STRUC_ID_ARRAY 'M','M','A','S'
#define MMaster_VERSION_1 1L
#define MMaster_DEFAULT {MMaster_STRUC_ID}, \
                        MMaster_VERSION_1, \
                        0L
#define MM_FULLIDOC 0x00000000L
#define MM_COMPIDOC 0x00000001L
#define MM_TRANIDOC 0x00000002L



